> ## Documentation Index
> Fetch the complete documentation index at: https://docs.conductor.is/llms.txt
> Use this file to discover all available pages before exploring further.

# List all payments to deposit

> Lists received customer payments that are currently available to include in a QuickBooks Desktop deposit. Use each result's `paymentTransactionId` and, when present, `paymentTransactionLineId` as the corresponding fields on a deposit line.

**NOTE:** QuickBooks Desktop does not support pagination for payments to deposit; hence, there is no `cursor` parameter. Users typically have few payments to deposit.



## OpenAPI

````yaml GET /quickbooks-desktop/payments-to-deposit
openapi: 3.1.0
info:
  title: Conductor API
  version: 0.0.1
servers:
  - url: https://api.conductor.is/v1
security:
  - BearerAuth: []
paths:
  /quickbooks-desktop/payments-to-deposit:
    get:
      summary: List all payments to deposit
      description: >-
        Lists received customer payments that are currently available to include
        in a QuickBooks Desktop deposit. Use each result's
        `paymentTransactionId` and, when present, `paymentTransactionLineId` as
        the corresponding fields on a deposit line.


        **NOTE:** QuickBooks Desktop does not support pagination for payments to
        deposit; hence, there is no `cursor` parameter. Users typically have few
        payments to deposit.
      parameters:
        - in: header
          name: Conductor-End-User-Id
          schema:
            type: string
            description: The ID of the End-User to receive this request.
            example: end_usr_1234567abcdefg
            x-stainless-naming:
              typescript:
                method_argument: conductorEndUserId
              mcp:
                method_argument: conductorEndUserId
          required: true
          description: The ID of the End-User to receive this request.
      responses:
        '200':
          description: Returns a list of payments to deposit.
          headers:
            Conductor-Request-Id:
              required: true
              description: The unique identifier for this API request.
              schema:
                type: string
                description: The unique identifier for this API request.
                example: req_1234567abcdefg
          content:
            application/json:
              schema:
                type: object
                properties:
                  objectType:
                    description: The type of object. This value is always `"list"`.
                    example: list
                    type: string
                    const: list
                  url:
                    type: string
                    description: The endpoint URL where this list can be accessed.
                    example: /v1/quickbooks-desktop/payments-to-deposit
                  data:
                    type: array
                    items:
                      $ref: '#/components/schemas/qbd_payment_to_deposit'
                    description: The array of payments to deposit.
                required:
                  - objectType
                  - url
                  - data
                additionalProperties: false
      security:
        - BearerAuth: []
      x-codeSamples:
        - lang: JavaScript
          source: >-
            import Conductor from 'conductor-node';


            const conductor = new Conductor({
              apiKey: process.env['CONDUCTOR_SECRET_KEY'], // This is the default and can be omitted
            });


            const paymentsToDeposits = await
            conductor.qbd.paymentsToDeposit.list({
              conductorEndUserId: 'end_usr_1234567abcdefg',
            });


            console.log(paymentsToDeposits.data);
        - lang: Python
          source: |-
            import os
            from conductor import Conductor

            conductor = Conductor(
                api_key=os.environ.get("CONDUCTOR_SECRET_KEY"),  # This is the default and can be omitted
            )
            payments_to_deposits = conductor.qbd.payments_to_deposit.list(
                conductor_end_user_id="end_usr_1234567abcdefg",
            )
            print(payments_to_deposits.data)
components:
  schemas:
    qbd_payment_to_deposit:
      type: object
      properties:
        paymentTransactionId:
          type: string
          maxLength: 36
          description: >-
            The ID of the received payment that is available to deposit. Pass
            this value as `paymentTransactionId` when creating a deposit line.
          example: 123ABC-1234567890
        paymentTransactionLineId:
          anyOf:
            - type: string
              maxLength: 36
              description: >-
                The ID of the specific received-payment line that is available
                to deposit. If this value is not `null`, pass it as
                `paymentTransactionLineId` with `paymentTransactionId` when
                creating a deposit line.
              example: 456DEF-1234567890
            - type: 'null'
        transactionType:
          type: string
          enum:
            - ar_refund_credit_card
            - bill
            - bill_payment_check
            - bill_payment_credit_card
            - build_assembly
            - charge
            - check
            - credit_card_charge
            - credit_card_credit
            - credit_memo
            - deposit
            - estimate
            - inventory_adjustment
            - invoice
            - item_receipt
            - journal_entry
            - liability_adjustment
            - paycheck
            - payroll_liability_check
            - purchase_order
            - receive_payment
            - sales_order
            - sales_receipt
            - sales_tax_payment_check
            - transfer
            - vendor_credit
            - ytd_adjustment
          description: The type of transaction for this payment to deposit.
          example: invoice
        customer:
          anyOf:
            - type: object
              properties:
                id:
                  anyOf:
                    - type: string
                    - type: 'null'
                  description: >-
                    The unique identifier assigned by QuickBooks to this object.
                    This ID is unique across all objects of the same type, but
                    not across different QuickBooks object types.
                  example: 80000001-1234567890
                fullName:
                  anyOf:
                    - type: string
                    - type: 'null'
                  description: >-
                    The fully-qualified unique name for this object, formed by
                    combining the names of its parent objects with its own
                    `name`, separated by colons. Not case-sensitive.
                  example: Parent:Child:Grandchild
              required:
                - id
                - fullName
              additionalProperties: false
            - type: 'null'
          description: >-
            The customer or customer-job associated with this payment to
            deposit.
          example:
            id: 80000001-1234567890
            fullName: Acme Corporation
        transactionDate:
          type: string
          format: date
          description: >-
            The date of this payment to deposit, in ISO 8601 format
            (YYYY-MM-DD).
          example: '2024-10-01'
        refNumber:
          anyOf:
            - type: string
            - type: 'null'
          description: >-
            The case-sensitive user-defined reference number for this payment to
            deposit, which can be used to identify the transaction in
            QuickBooks. This value is not required to be unique and can be
            arbitrarily changed by the QuickBooks user.
          example: PAYMENT-1234
        amount:
          type: string
          description: >-
            The monetary amount of this received payment that is currently
            available to deposit, represented as a decimal string.
          example: '1000.00'
        currency:
          anyOf:
            - type: object
              properties:
                id:
                  anyOf:
                    - type: string
                    - type: 'null'
                  description: >-
                    The unique identifier assigned by QuickBooks to this object.
                    This ID is unique across all objects of the same type, but
                    not across different QuickBooks object types.
                  example: 80000001-1234567890
                fullName:
                  anyOf:
                    - type: string
                    - type: 'null'
                  description: >-
                    The fully-qualified unique name for this object, formed by
                    combining the names of its parent objects with its own
                    `name`, separated by colons. Not case-sensitive.
                  example: Parent:Child:Grandchild
              required:
                - id
                - fullName
              additionalProperties: false
            - type: 'null'
          description: >-
            The payment to deposit's currency. For built-in currencies, the name
            and code are standard ISO 4217 international values. For
            user-defined currencies, all values are editable.
          example:
            id: 80000001-1234567890
            fullName: USD
        exchangeRate:
          anyOf:
            - type: number
            - type: 'null'
          description: >-
            The market exchange rate between this payment to deposit's currency
            and the home currency in QuickBooks at the time of this transaction.
            Represented as a decimal value (e.g., 1.2345 for 1 EUR = 1.2345 USD
            if USD is the home currency).
          example: 1.2345
        amountInHomeCurrency:
          anyOf:
            - type: string
            - type: 'null'
          description: >-
            The monetary amount of this payment to deposit converted to the home
            currency of the QuickBooks company file. Represented as a decimal
            string.
          example: '1234.56'
      required:
        - paymentTransactionId
        - paymentTransactionLineId
        - transactionType
        - customer
        - transactionDate
        - refNumber
        - amount
        - currency
        - exchangeRate
        - amountInHomeCurrency
      additionalProperties: false
      title: The Payment To Deposit object
      x-conductor-object-type: transaction
      x-conductor-sidebar-group-name: Payments to Deposit
      summary: >-
        A payment to deposit is a received customer payment that is currently
        available to include in a QuickBooks Desktop deposit. Use its IDs when
        creating deposit lines that move payments from Undeposited Funds into a
        bank or other asset account.
  securitySchemes:
    BearerAuth:
      type: http
      scheme: bearer
      description: >-
        Your Conductor secret key using Bearer auth (e.g., `"Authorization:
        Bearer {{YOUR_SECRET_KEY}}"`).

````